Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.joinpoint
Interface StaticJoinPoint

All Known Subinterfaces:
  JoinPoint

    public interface StaticJoinPoint

Implements the join point concept, e.g. defines a well defined point in the program flow.

Provides access to only static data, is therefore much more performant than the usage of the `JoinPoint` interface.

Author:
  Jonas Bonr

Field Summary
`static String` | `CONSTRUCTOR_CALL`
`static String` | `CONSTRUCTOR_EXECUTION`
`static String` | `FIELD_GET`
`static String` | `FIELD_SET`
`static String` | `HANDLER`
`static String` | `METHOD_CALL`
`static String` | `METHOD_EXECUTION`
`static String` | `STATIC_INITIALIZATION`

Method Summary
`void` | `addMetaData(Object key, Object value)` Adds metadata.
`StaticJoinPoint` | `copy()` Creates a copy of the join point instance.
`Class` | `getCalleeClass()` Returns the callee class.
`Class` | `getCallerClass()` Returns the caller class.
`EnclosingStaticJoinPoint` | `getEnclosingStaticJoinPoint()` Returns the enclosing static joinpoint.
`Object` | `getMetaData(Object key)` Returns metadata matchingn a specfic key.
`Signature` | `getSignature()` Returns the signature for the join point.
`Class` | `getTargetClass()` Deprecated. use getCalleeClass() instead
`JoinPointType` | `getType()` Returns the join point type.
`Object` | `proceed()` Walks through the pointcuts and invokes all its advices.

Field Detail

### METHOD_EXECUTION

    static final String METHOD_EXECUTION

See Also:
  Constant Field Values

### METHOD_CALL

    static final String METHOD_CALL

See Also:
  Constant Field Values

### CONSTRUCTOR_EXECUTION

    static final String CONSTRUCTOR_EXECUTION

See Also:
  Constant Field Values

### CONSTRUCTOR_CALL

    static final String CONSTRUCTOR_CALL

See Also:
  Constant Field Values

### FIELD_SET

    static final String FIELD_SET

See Also:
  Constant Field Values

### FIELD_GET

    static final String FIELD_GET

See Also:
  Constant Field Values

### HANDLER

    static final String HANDLER

See Also:
  Constant Field Values

### STATIC_INITIALIZATION

    static final String STATIC_INITIALIZATION

See Also:
  Constant Field Values

Method Detail

### proceed

    Object proceed()
                   throws Throwable

  Walks through the pointcuts and invokes all its advices. When the last advice of the last pointcut has been invoked, the original method is invoked. Is called recursively.

  Returns:
    the result from the next invocation
  Throws:
    `Throwable`

### copy

    StaticJoinPoint copy()

  Creates a copy of the join point instance.

  Returns:
    a copy of the join point instance

### getMetaData

    Object getMetaData(Object key)

  Returns metadata matchingn a specfic key.

  Parameters:
    `key` - the key to the metadata
  Returns:
    the value

### addMetaData

    void addMetaData(Object key,
                     Object value)

  Adds metadata.

  Parameters:
    `key` - the key to the metadata
    `value` - the value

### getSignature

    Signature getSignature()

  Returns the signature for the join point.

  Returns:
    the signature

### getCallerClass

    Class getCallerClass()

  Returns the caller class.

  Returns:
    the caller class

### getCalleeClass

    Class getCalleeClass()

  Returns the callee class.

  Returns:
    the target class

### getTargetClass

    Class getTargetClass()

  Deprecated. use getCalleeClass() instead

  Returns the callee class.

  Returns:
    the target class

### getType

    JoinPointType getType()

  Returns the join point type.

  Returns:
    the type

### getEnclosingStaticJoinPoint

    EnclosingStaticJoinPoint getEnclosingStaticJoinPoint()

  Returns the enclosing static joinpoint.

  Returns:
    the enclosing static joinpoint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.